ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Unit.Ppr

Description

Unit identifier pretty-printing

Synopsis

- data UnitPprInfo = UnitPprInfo {
  - unitPprId :: FastString
  - unitPprPackageName :: String
  - unitPprPackageVersion :: Version
  - unitPprComponentName :: Maybe String
  }

# Documentation

data UnitPprInfo Source #

Subset of UnitInfo: just enough to pretty-print a unit-id

Instead of printing the unit-id which may contain a hash, we print: package-version:componentname

Constructors

UnitPprInfo |

Fields

- unitPprId :: FastString

  Identifier

- unitPprPackageName :: String

  Source package name

- unitPprPackageVersion :: Version

  Source package version

- unitPprComponentName :: Maybe String

  Component name

#### Instances

Instances details

Outputable UnitPprInfo Source # |
Instance details Defined in GHC.Unit.Ppr Methods ppr :: UnitPprInfo -> SDoc Source #